#ifndef OPTIONSDIALOG_H
#define OPTIONSDIALOG_H
#include "ui_OptionsDialog.h"
#include <QDialog>
#define MAX_PEAKS 8

namespace Ui
{
    class OptionsDialog;
}

class OptionsDialog : public QDialog
{
   Q_OBJECT

public:
    OptionsDialog(QWidget *parent = 0);
    void setImageFileName(QString filename);
    void setPeaks(int *manualPeaks);
    int *getPeaks();
    void setCenter(QPoint center);
    QPoint getCenter();
    double getScalingFactor();
    void setScalingFactor(double scalingFactor);
    QPushButton *getSortPeaksButton();

private:
    Ui::OptionsDialog *ui_Options;
    int peaks[MAX_PEAKS];

signals:
    void settingsChangedSignal(bool apply);

private slots:
    void settingsOk();
    void settingsCancel();
    void settingsChanged();
public slots:
    void settingsApply();
};


#endif // OPTIONSDIALOG_H
